--[[
Copyright (C) 2016  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

--block building according to config

if(not buildingplatform.config.unrestrictPower) then
	if(not buildingplatform.config.unrestrictBoiler) then
		buildingplatform.blockAll("boiler")
	end
	buildingplatform.block_all("generator")
	buildingplatform.blockAll("solar-panel")
	buildingplatform.blockAll("accumulator")
end
if(not buildingplatform.config.unrestrictCombinator) then
	buildingplatform.blockAll("arithmetic-combinator")
	buildingplatform.blockAll("decider-combinator")
	buildingplatform.blockAll("constant-combinator")
end

if(not buildingplatform.config.unrestrictRoboport) then
	buildingplatform.blockAll("roboport")
end
if(not buildingplatform.config.unrestrictLogistic) then
	buildingplatform.blockAll("logistic-container")
end
if(not buildingplatform.config.unrestrictRadar) then
	buildingplatform.blockAll("radar")
end
if(not buildingplatform.config.unrestrictStorageTank) then
	buildingplatform.blockAll("storage-tank")
end
if(not buildingplatform.config.unrestrictSubstation) then
	buildingplatform.blockOnly("electric-pole",".*substation.*")
end
if(not buildingplatform.config.unrestrictFurnace) then
	buildingplatform.blockAll("furnace")
end
if(not buildingplatform.config.unrestrictAssemblingMachine) then
	buildingplatform.blockAll("assembling-machine")
end
if(not buildingplatform.config.unrestrictLab) then
	buildingplatform.blockAll("lab")
end
if(not buildingplatform.config.unrestrictBeacon) then
	buildingplatform.blockAll("beacon")
end
if(not buildingplatform.config.unrestrictRocketSilo) then
	buildingplatform.blockAll("rocket-silo")
end
