--[[
Copyright (C) 2016  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

--block building according to config

local buildingList = {{type="roboport",pattern="small%-power%-plant"},{type="roboport",pattern="small%-factory"}}

if(not buildingplatform.config.unrestrictMod.factorissimo) then
	for _,building in pairs(buildingList) do
		buildingplatform.blockOnly(building.type,building.pattern)
	end
else
	if (buildingplatform.config.unrestrictMod.factorissimo and not buildingplatform.config.unrestrictRoboport) then
		for _,building in pairs(buildingList) do
			buildingplatform.blockAllBut(building.type,building.pattern)
		end
	end
end